WellbyteWellbyte

POST /v1/douyin/search/fetch_user_search

Fetch user search

stable · 13 credits per success

Fetch a list of users from Douyin App based on search keywords.;Supports filtering by fan count and user type.;Notes;Set `cursor` to 0 and `search_id` to an empty string for the first request.;Only user information is returned. No videos, music, or hashtags.;keyword: Search keyword, e.g., "AI";cursor: Pagination cursor (0 for first page);douyin_user_fans: Fan count filter;- Empty: No limit;- "0_1…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl -s -X POST 'https://api.wellbyte.net/v1/douyin/search/fetch_user_search' \
  -H "Authorization: Bearer dg_live_…" \
  -H "Content-Type: application/json" \
  -d '{"cursor":null,"keyword":"咖啡","search_id":"demo","douyin_user_fans":"demo","douyin_user_type":"demo"}'

Response

Sample captured 2026-08-27

data{
code:0
data{
qc:""
rid:"20260826005531BA1F1A5A34C57EF8B8DA"
type:1
extra{ 6 items }
cursor:10
log_pb{ 2 items }
has_more:1
user_list[ 2 items ]
music_list:null
status_code:0
input_keyword:"猫咪"
challenge_list:null
myself_user_id:"0"
global_doodle_config{ 3 items }
}
meta{
endpoint:"douyin.search.fetch_user_search"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    cursorintegerbodyno偏移游标,用于翻页,从上一次请求返回的响应中获取demo
    keywordstringbodyno关键词咖啡
    search_idstringbodyno搜索ID,用于翻页,从上一次请求返回的响应中获取demo
    douyin_user_fansstringbodyno粉丝数过滤:空=不限 0_1k=1千以下 1k_5k=1千到5千 5k_10k=5千到1万 10k_100k=1万到10万 100k_1M=10万到100万 1M_=100万以上demo
    douyin_user_typestringbodyno用户类型过滤:空=不限 300=创作者 900=小店 700=音乐人 800=明星demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 13 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.

    Search

    Search endpoints and docs